
ChiliProject - Bug # 699: Internal Error when viewing user profiles 

Status: Needs more information Priority: Low
Author: Lance Verst Category:
Created: 2011-11-14 Assignee:
Updated: 2012-01-03 Due date:
Remote issue URL:
Affected version:
Description: I am not certain if this is a problem with ChiliProject or a plugin I have added.

The problem: When visiting a page such as:  http:/my.chiliproject.site/users/3 an Internal Error is generated.  
This only occurs when the user is logged into ChiliProject.  Logged out users see profiles normally.

*ChiliProject Version:* 2.4.0.ee543489f
*Plugins Installed:*  author, contact_form_plugin, extended_profile, meta_plugin, 
project_settings_hook_plugin, redmine_scm_plugin, redmine_wiki_extensions, sidebar_plugin

Results from the log file:
<pre>
Processing UsersController#show (for 85.5.236.196 at 2011-11-14 09:43:49) [GET]
  Parameters: {"action"=>"show", "id"=>"3", "controller"=>"users"}

ActiveRecord::ConfigurationError (Association named 'wiki_page' was not found; perhaps you misspelled it?):
  lib/redmine/activity/fetcher.rb:83:in `events'
  lib/redmine/activity/fetcher.rb:82:in `each'
  lib/redmine/activity/fetcher.rb:82:in `events'
  lib/redmine/activity/fetcher.rb:81:in `each'
  lib/redmine/activity/fetcher.rb:81:in `events'
  app/controllers/users_controller.rb:69:in `show'
  /dh/passenger/lib/phusion_passenger/rack/request_handler.rb:92:in `process_request'
  /dh/passenger/lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'
  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:400:in `start_request_handler'
  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:351:in `handle_spawn_application'
  /dh/passenger/lib/phusion_passenger/utils.rb:184:in `safe_fork'
  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:349:in `handle_spawn_application'
  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'
  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'
  /dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'
  /dh/passenger/lib/phusion_passenger/abstract_server.rb:163:in `start'
  /dh/passenger/lib/phusion_passenger/railz/application_spawner.rb:209:in `start'
  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'
  /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'
  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'
  /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'
  /dh/passenger/lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'
  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'
  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'
  /dh/passenger/lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'
  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `__send__'
  /dh/passenger/lib/phusion_passenger/abstract_server.rb:352:in `main_loop'
  /dh/passenger/lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /home/XXX/yyy/public/500.html (500 Internal Server Error)
</pre>

Associated revisions
2009-02-11 08:06 pm - Eric Davis
Unpacked OpenID gem. #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2437 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:06 pm - Eric Davis
Added OpenID tables. #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2439 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:06 pm - Eric Davis
Added identity_url to User. #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2440 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:07 pm - Eric Davis
Fixed a bug in open_id_authentication, where relative_url_root is defined
on ActionController:AbstractRequest not Base

  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2441 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:07 pm - Eric Davis
Added the ability to login via OpenID.

* Refactored AccountController#login to use either
  password or openid based authentication
* Extracted AccountController#successful_authentication
  to setup a user's session cookies and redirect
* Implemented the start of AccountController#open_id_authentication
  which will check with the OpenID server and perform authentication.
* Added text field for the OpenID url to /login
* Added identity_url for OpenID to the user forms.
* Added option to login with OpenID to the register form.
* Added a root url route, which is used by the OpenID plugin

  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2442 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:07 pm - Eric Davis
Adding OpenID mock and test. #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2444 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:07 pm - Eric Davis
Added tests for the other OpenID authentication cases.  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2445 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:07 pm - Eric Davis
Added user setup needed based on the system's registration settings

* Copied the register action's chunk of code used to setup the account
  based on Setting.self_registration
* Extracted method for when onthefly_creation_failed
* Added tests to confirm the behavior

  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2446 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:07 pm - Eric Davis
Refactored common methods out of register and open_id_authenticate

* Extracted register_by_email_activation
* Extracted register_automatically
* Extracted register_manually_by_administrator

  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2447 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:07 pm - Eric Davis
Prevent registration via OpenID if self registration is off. #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2448 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:24 pm - Eric Davis
Added a system setting for allowing OpenID logins and registrations

* Defaults to off
* Is set in the Administration panel under Authentication

  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2449 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-11 08:45 pm - Eric Davis
Added a space so words don't runtogeatherlikethis. #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2450 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-12 02:32 am - Eric Davis
Fixed the bundled ruby-openid gem

* The open_id_authentication plugin will require the gem automatically so
  it doesn't need to be added to environment.rb
* Changed the version requirement on the open_id_authentication to match
  the latest stable version.  Rails config.gem looks for a directory named
  after that specific version and will not load newer versions.

  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2452 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-12 05:31 am - Eric Davis
Normalize the identity_url when it's set.

OpenId uses a specific format for the url it uses which requires the protocol
and trailing slash.  This change will normalize the value to when a user sets it.

  #699

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2453 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-12 06:19 pm - Jean-Philippe Lang 
Hide openid stuff on my account if disabled (#699).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2454 e93f8b46-1217-0410-a6f0-8f06a7374b81

2009-02-12 06:30 pm - Jean-Philippe Lang 
Adds missing strings (#699).

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@2455 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2011-11-15 11:12 am - Felix Schäfer
That looks like an error in a plugin indeed.

2011-11-15 01:31 pm - Simon Stearn
I see a similar error - although this seems to happen for all users for me.  Only plugin we seem to have in common is the extended_profile plugin. My 
site is on Chiliproject 2.4. The error message refers to a different association.

Processing UsersController#show (for <deleted ip> at 2011-11-15 13:27:09) [GET]
  Parameters: {"action"=>"show", "id"=>"76", "controller"=>"users"}

ActiveRecord::ConfigurationError (Association named 'project' was not found; perhaps you misspelled it?):
  lib/redmine/activity/fetcher.rb:83:in `events'
  lib/redmine/activity/fetcher.rb:82:in `each'
  lib/redmine/activity/fetcher.rb:82:in `events'

I will look into this a little further when I get time.

2011-12-01 05:12 pm - Felix Schäfer
Simon, can you confirm this was related to a plugin, I'd like to close this issue if that was the case.

2011-12-16 02:19 pm - Alf Gaida
Hi, running into this error too in two indipendent installations, can break this down to 

lib/redmine/activity/fetcher.rb
<pre>
      # Returns an array of events for the given date range
      # sorted in reverse chronological order
      def events(from = nil, to = nil, options={})
        e = []
        @options[:limit] = options[:limit]

        @scope.each do |event_type|
          constantized_providers(event_type).each do |provider|
           # e += provider.find_events(event_type, @user, from, to, @options)
          end
        end
</pre>

With the error-line documentated out, the user-pages render. Unforunally my knowledge about ruby and chili dont allow me to investigate further.

2011-12-17 11:41 am - Felix Schäfer
Alf, what plugins do you have installed?

2011-12-19 12:51 pm - Alf Gaida
* Redmine Checkout plugin
* Redmine Assets plugin
* Redmine Time Tracker plugin
* Redmine Wiki Extensions plugin
* Redmine Wiki Issue Details plugin
* Timesheet Plugin

2011-12-19 08:55 pm - Felix Schäfer
That seems like an error that would come from a plugin that's incompatible with ChiliProject 2.x+, does any of those create an activity? Could you try 
disabling it?

2011-12-22 08:20 pm - Alf Gaida
I'll try it tomorrow. 

2012-01-03 10:40 pm - Holger Just
- Status changed from Open to Needs more information
